Bug 870327 - cannot find -lHSrts_thr
cannot find -lHSrts_thr
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: leksah-server (Show other bugs)
18
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 03:48 EDT by Jens Petersen
Modified: 2013-01-11 18:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 862543
Environment:
Last Closed: 2013-01-11 18:20:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-10-26 03:48:08 EDT
[BTW this also affects ppc and f17 arm]

+++ This bug was initially created as a clone of Bug #862543 +++

Some packages (eg. lehsak-server) fail to build with "/usr/bin/ld: cannot find -lHSrts_thr" error message thrown.

Full logs for leksah-server-0.12.1.2-5.fc18 are at http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=826278

Version-Release number of selected component (if applicable):
ghc-compiler.s390 0:7.4.1-6.1.fc18

--- Additional comment from dan@danny.cz on 2012-10-03 21:29:28 JST ---

pandoc is also affected
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=826471

--- Additional comment from petersen@redhat.com on 2012-10-26 16:44:58 JST ---

I am not sure if ghc's threaded runtime is supported on tier 2 archs.

Anyway at least for pandoc rts_thr is not really needed
(it is dropped now in upstream git).  So fixing that first.
Comment 1 Jens Petersen 2012-12-03 23:49:18 EST
Fixing first in leksah-server-0.12.1.2-8.fc19
Comment 2 Fedora Update System 2012-12-04 02:27:54 EST
leksah-server-0.12.1.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/leksah-server-0.12.1.2-8.fc18
Comment 3 Fedora Update System 2012-12-04 16:12:52 EST
Package leksah-server-0.12.1.2-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing leksah-server-0.12.1.2-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19662/leksah-server-0.12.1.2-8.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-01-11 18:20:59 EST
leksah-server-0.12.1.2-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.